View Issue Details

IDProjectCategoryView StatusLast Update
0008671Scribus3rd Partypublic2017-07-11 21:54
Reportereudoxos Assigned Tojghali  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionno change required 
Product Version 
Target VersionFixed in Version 
Summary0008671: investigate plasTeX for full latex import
DescriptionPlasTeX (http://plastex.sourceforge.net) parses LaTeX documents (using TeX-like parser) and converts them to its internal DOM, outputting to XML / DocBook / plain text. Some LaTeX packages are supported. Plastex is written in python, which is an advantage as python is already used for scriting.

Output from plasTeX (XML, DocBook or write custom format renderer) could be then imported to Scribus transparently, making possible support for LaTeX not only on the frame level (already possible), but in longer text as well.

Another possibile use would be to write frame contents with LaTeX syntax (thus having macro-language), rather than importing from external file, and updating the rendered output upon source text change.
TagsNo tags attached.
PatchNo

Relationships

related to 0013087 new PyLaTeX - A Python library for creating LaTeX files 
related to 0008136 assignedHerm XeLaTeX 

Activities

eudoxos

2017-07-08 13:57

reporter   ~0044142

Should be closed, render frames work nicely.

jghali

2017-07-11 21:53

administrator   ~0044165

Ok, closing then.

Issue History

Date Modified Username Field Change
2010-01-02 20:13 eudoxos New Issue
2015-05-25 13:40 Kunda Relationship added related to 0013087
2015-05-25 13:40 Kunda Relationship added related to 0008136
2016-05-12 17:25 Kunda Patch => No
2016-05-12 17:25 Kunda Category Import / Export => 3rd Party
2017-07-08 13:57 eudoxos Note Added: 0044142
2017-07-11 21:53 jghali Assigned To => jghali
2017-07-11 21:53 jghali Status new => resolved
2017-07-11 21:53 jghali Resolution open => no change required
2017-07-11 21:53 jghali Note Added: 0044165
2017-07-11 21:54 jghali Status resolved => closed